#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from cmk.gui.plugins.views import (
    inventory_displayhints,
)
from cmk.gui.i18n import _

inventory_displayhints.update({
    '.networking.bgp_peers:': {
        'title': _('BGP Peers'),
        'keyorder': [
            'remote_addr', 'local_addr', 'remote_id', 'local_id', 'remote_as', 'local_as', 'bgp_type', 'version',
        ],
        'view': 'invbgppeer_of_host',
    },
    '.networking.bgp_peers:*.remote_addr': {'title': _('Remote address'), },
    '.networking.bgp_peers:*.local_addr': {'title': _('Local address'), },
    '.networking.bgp_peers:*.remote_id': {'title': _('Remote ID'), },
    '.networking.bgp_peers:*.local_id': {'title': _('Local ID'), },
    '.networking.bgp_peers:*.remote_as': {'title': _('Remote AS'), },
    '.networking.bgp_peers:*.local_as': {'title': _('Local AS'), },
    '.networking.bgp_peers:*.bgp_type': {'title': _('Type'), },
    '.networking.bgp_peers:*.version': {'title': _('Version'), },
    '.networking.bgp_peers:*.last_error': {'title': _('Last error'), },
    '.networking.bgp_peers:*.last_error_code': {'title': _('Last error code'), },
    '.networking.bgp_peers:*.address_family': {'title': _('Address family'), },
})

from cmk.gui.plugins.views.inventory import declare_invtable_view

declare_invtable_view('invbgppeer', '.networking.bgp_peers:', _('BGP peers'), _('BGP peers'))
